org.eclipse.rdf4j.repository.optimistic

## Class SerializableTest

- java.lang.Object
- - org.eclipse.rdf4j.repository.optimistic.SerializableTest

-     public class SerializableTest
      extends Object

  Tests on behavior of SERIALIZABLE transactions.
  Author:
    jeen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializableTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()`
    `static void` | `setUpClass()`
    `void` | `tearDown()`
    `void` | `test_afterInsertDataPattern()`
    `void` | `test_afterPattern()`
    `void` | `test_conflictInsert()`
    `void` | `test_conflictOptionalFilterInsert()`
    `void` | `test_conflictOptionalFilterQuery()`
    `void` | `test_conflictOptionalInsert()`
    `void` | `test_conflictOptionalQuery()`
    `void` | `test_conflictPattern()`
    `void` | `test_conflictQuery()`
    `void` | `test_conflictRangeInsert()`
    `void` | `test_conflictRangeQuery()`
    `void` | `test_independentPattern()`
    `void` | `test_safeFilterInsert()`
    `void` | `test_safeFilterQuery()`
    `void` | `test_safeInsert()`
    `void` | `test_safeOptionalInsert()`
    `void` | `test_safeOptionalQuery()`
    `void` | `test_safePattern()`
    `void` | `test_safeQuery()`
    `void` | `test_safeRangeInsert()`
    `void` | `test_safeRangeQuery()`
    `void` | `testPrepare_conflictPattern()`
    `void` | `testPrepare_safePattern()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializableTest

          public SerializableTest()

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()
                                 throws Exception

      Throws:
        `Exception`

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### test_independentPattern

          public void test_independentPattern()
                                       throws Exception

      Throws:
        `Exception`

    - #### test_safePattern

          public void test_safePattern()
                                throws Exception

      Throws:
        `Exception`

    - #### testPrepare_safePattern

          public void testPrepare_safePattern()
                                       throws Exception

      Throws:
        `Exception`

    - #### test_afterPattern

          public void test_afterPattern()
                                 throws Exception

      Throws:
        `Exception`

    - #### test_afterInsertDataPattern

          public void test_afterInsertDataPattern()
                                           throws Exception

      Throws:
        `Exception`

    - #### test_conflictPattern

          public void test_conflictPattern()
                                    throws Exception

      Throws:
        `Exception`

    - #### testPrepare_conflictPattern

          public void testPrepare_conflictPattern()
                                           throws Exception

      Throws:
        `Exception`

    - #### test_safeQuery

          public void test_safeQuery()
                              throws Exception

      Throws:
        `Exception`

    - #### test_safeInsert

          public void test_safeInsert()
                               throws Exception

      Throws:
        `Exception`

    - #### test_conflictQuery

          public void test_conflictQuery()
                                  throws Exception

      Throws:
        `Exception`

    - #### test_conflictInsert

          public void test_conflictInsert()
                                   throws Exception

      Throws:
        `Exception`

    - #### test_safeOptionalQuery

          public void test_safeOptionalQuery()
                                      throws Exception

      Throws:
        `Exception`

    - #### test_safeOptionalInsert

          public void test_safeOptionalInsert()
                                       throws Exception

      Throws:
        `Exception`

    - #### test_conflictOptionalQuery

          public void test_conflictOptionalQuery()
                                          throws Exception

      Throws:
        `Exception`

    - #### test_conflictOptionalInsert

          public void test_conflictOptionalInsert()
                                           throws Exception

      Throws:
        `Exception`

    - #### test_safeFilterQuery

          public void test_safeFilterQuery()
                                    throws Exception

      Throws:
        `Exception`

    - #### test_safeFilterInsert

          public void test_safeFilterInsert()
                                     throws Exception

      Throws:
        `Exception`

    - #### test_conflictOptionalFilterQuery

          public void test_conflictOptionalFilterQuery()
                                                throws Exception

      Throws:
        `Exception`

    - #### test_conflictOptionalFilterInsert

          public void test_conflictOptionalFilterInsert()
                                                 throws Exception

      Throws:
        `Exception`

    - #### test_safeRangeQuery

          public void test_safeRangeQuery()
                                   throws Exception

      Throws:
        `Exception`

    - #### test_safeRangeInsert

          public void test_safeRangeInsert()
                                    throws Exception

      Throws:
        `Exception`

    - #### test_conflictRangeQuery

          public void test_conflictRangeQuery()
                                       throws Exception

      Throws:
        `Exception`

    - #### test_conflictRangeInsert

          public void test_conflictRangeInsert()
                                        throws Exception

      Throws:
        `Exception`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.